Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.UnaryAddExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.UnaryAddExprAltContext

-     public static class GroovyParser.UnaryAddExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `op` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UnaryAddExprAltContext(ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ADD()`
    `` | `public TerminalNode` | `DEC()`
    `` | `public TerminalNode` | `INC()`
    `` | `public TerminalNode` | `SUB()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ExpressionContext` | `expression()`

- - ### Field Detail

    - #### public Token op

  - ### Constructor Detail

    - #### public UnaryAddExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode ADD()

    - #### public TerminalNode DEC()

    - #### public TerminalNode INC()

    - #### public TerminalNode SUB()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ExpressionContext expression()